"use strict";
this.name = "coyoteAsp11";
this.author = "Okti";
this.copyright = "(C) Okti";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Ship script for coyoteGreer2.";

this.shipSpawned = function () {
	//this.ship.reportAIMessages = true;
}

this.shipDied = function (whom, why) {}

this.shipTakingDamage = function (amount, whom, type) {
	if (whom == null) {
		return;
	}
	if (whom.primaryRole == "coyotegreer5") {
		whom.reactToAIMessage("TARGET_DERELICT");
		this.ship.awardEquipment("EQ_ESCAPE_POD");
		this.ship.abandonShip();
	}
}